Name:        asterisk12-flite
Version:     12.1.1
Release:     33
Summary:     Flite text-to-speech module for Asterisk
Group:       Applications/Internet
License:     GPL
URL:         https://github.com/zaf/Asterisk-Flite
Source0:     %{name}-%{version}.tar.gz
BuildRoot:   %{_tmppath}/%{name}-%{version}
BuildRequires: flite-devel
Requires:    asterisk12 
Packager:    Bryan Walters <bryan.walters@schmoozecom.com>
Vendor:      Schmooze Com, Inc.

%description
This provides the "Flite" dialplan application for the Asterisk Open Source
PBX, which allows you to use the CMU Flite text-to-speech engine with Asterisk.

The application uses the exact same syntax as the standard "Festival" Asterisk
application.


%prep

%setup -q -n %{name}-%{version}

%build
make  2> err

%install
%ifarch i386 i586 i686
mkdir -p %{buildroot}%{_libdir}/asterisk/modules/
%endif

%ifarch x86_64
mkdir -p %{buildroot}/usr/lib64/asterisk/modules/
%endif
mkdir -p %{buildroot}%{_sysconfdir}/asterisk/
make DESTDIR=$RPM_BUILD_ROOT install

#mkdir -p %{buildroot}%{_prefix}/src/asterisk-app_flite-0.6/
#mv app_flite.so %{buildroot}%{_libdir}/asterisk/modules/
#mv  flite.conf %{buildroot}%{_sysconfdir}/asterisk/
#mv * %{buildroot}%{_prefix}/src/asterisk-app_flite-0.6/

%post

%clean
rm -rf %{buildroot}

%files
%defattr(-,asterisk,asterisk,-)
%ifarch x86_64
/usr/lib64/asterisk/modules/app_flite.so
%endif
%ifarch i386 i586 i686 
%{_libdir}/asterisk/modules/app_flite.so
%endif
#%{_prefix}/src/asterisk-app_flite-0.6/*
#%config(noreplace) %{_sysconfdir}/asterisk/flite.conf


